io.undertow.server

## Class TruncatedResponseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - io.undertow.server.TruncatedResponseException

All Implemented Interfaces:
  Serializable

    public class TruncatedResponseException
    extends IOException

An exception indicating that the response channel was prematurely closed. The response channel must be shut down and flushed successfully after all requests, even those which do not send a response body.

Author:
  David M. Lloyd
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TruncatedResponseException()` Constructs a `TruncatedResponseException` with no detail message.
`TruncatedResponseException(String msg)` Constructs a `TruncatedResponseException` with the specified detail message.
`TruncatedResponseException(String msg, Throwable cause)` Constructs a `TruncatedResponseException` with the specified detail message and cause.
`TruncatedResponseException(Throwable cause)` Constructs a `TruncatedResponseException` with the specified cause.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TruncatedResponseException

    public TruncatedResponseException()

Constructs a `TruncatedResponseException` with no detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

#### TruncatedResponseException

    public TruncatedResponseException(String msg)

Constructs a `TruncatedResponseException` with the specified detail message. The cause is not initialized, and may subsequently be initialized by a call to `initCause`.

Parameters:
  `msg` - the detail message

#### TruncatedResponseException

    public TruncatedResponseException(Throwable cause)

Constructs a `TruncatedResponseException` with the specified cause. The detail message is set to:

    (cause == null ? null : cause.toString())

(which typically contains the class and detail message of `cause`).

Parameters:
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)

#### TruncatedResponseException

    public TruncatedResponseException(String msg,
                                      Throwable cause)

Constructs a `TruncatedResponseException` with the specified detail message and cause.

Parameters:
  `msg` - the detail message
  `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method)